Documentation

Mediation API


Mediation API


Mediation

This API will be no longer supported on 11/1/2023, you can find our alternative Levelplay Impression level report API here. To use this new API you must migrate your app to our Levelplay Mediation product, here is a guide on how to do so. This is the API specification for the reporting API that allows publishers that use Mediation to get stats about the performance of their games.
Download OpenAPI specification:

Generate impression level report


Use this endpoint to access impression statistics based on the performance of one of your games. Download a csv file to view data for a specific platform that the game is on (iOS or Android), per app, per day. Where an app is a particular platform version of a game.

Rate Limits

The API has rate limiting in place. Requests are limited to 1 request per second per app and 50 requests per 30 minutes per app.
Authorizations
ServiceAccount (mediation.reporting.get)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: mediation.reporting.get

Path parameters for "Generate impression level report"

organization_id

string
required
example: 1374446889638
ID of the organization.

app_id

string
required
example: 4794792
The game id (id of the particular platform version of the game)

Query parameters for "Generate impression level report"

date

string
required
No description

file_format

string
required
No description

return_fields

string
No description

HTTP response status codes for "Generate impression level report":

Code samples for "Generate impression level report":

Request example

curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/monetize/mediation/v1/impression-report/organizations/{organization_id}/apps/{app_id}"

Response example